%define	name	sysprof
%define	version	1.0.10
%define	release	%mkrel 6

Summary:	System-wide Linux Profiler
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Source:		%{name}-%{version}.tar.gz
Patch0:		sysprof-module-new-kernel.patch
URL:		http://www.daimi.au.dk/~sandmann/sysprof/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post):	dkms
Requires(preun):	dkms
BuildRequires:	autoconf2.5
BuildRequires:	libglade2.0-devel
BuildRequires:	binutils-devel
BuildRequires:	ImageMagick
ExclusiveArch:	%{ix86} x86_64

%description
Sysprof is a sampling profiler that uses a kernel module to generate
stacktraces which are then interpreted by the userspace program
"sysprof".

Sysprof handles shared libraries and applications do not need to be
recompiled. In fact they don't even have to be restarted.

Just insert the kernel module and start sysprof.

%prep
%setup -q
cd module
%patch0 -p0

%build
aclocal
autoconf
automake
%configure2_5x --disable-kernel-module
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu
######



mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Sysprof
Comment=System-wide Linux Profiler
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Development;Profiling;X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cp sysprof-icon.png $RPM_BUILD_ROOT%{_liconsdir}/sysprof.png
convert sysprof-icon.png -geometry 32x32 $RPM_BUILD_ROOT%{_iconsdir}/sysprof.png
convert sysprof-icon.png -geometry 16x16 $RPM_BUILD_ROOT%{_miconsdir}/sysprof.png

# DKMS 
######

install -d -m 755 %{buildroot}%{_prefix}/src
cp -a module %{buildroot}%{_prefix}/src/%{name}-%{version}
cp config.h %{buildroot}%{_prefix}/src/%{name}-%{version}

cat > %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{name}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME-module"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/\$PACKAGE_NAME/"

AUTOINSTALL=yes
REMAKE_INITRD=no

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %mdkversion < 200900
%update_menus
%endif
dkms add -m %{name} -v %{version} --rpm_safe_upgrade
dkms build -m %{name} -v %{version} --rpm_safe_upgrade
dkms install -m %{name} -v %{version} --rpm_safe_upgrade

%preun
dkms remove -m %{name} -v %{version} --rpm_safe_upgrade --all ||:

%if %mdkversion < 200900
%postun
%update_menus
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/*
%{_prefix}/src/%{name}-%{version}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_liconsdir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Tue Sep 30 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.10-6mdv2009.0
+ Revision: 290107
- Fix the previous patch

* Thu Sep 25 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.10-5mdv2009.0
+ Revision: 288216
- Add recent patches from svn to build against recent kernels

* Tue Aug 19 2008 Funda Wang <fundawang@mandriva.org> 1.0.10-4mdv2009.0
+ Revision: 273972
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-3mdv2009.0
+ Revision: 269401
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Pascal Terjan <pterjan@mandriva.org>
    - rebuild for new libbfd

* Sat May 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.10-1mdv2009.0
+ Revision: 205435
- update to new version 1.0.10

* Tue Feb 26 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.9-3mdv2008.1
+ Revision: 175473
- Rebuild for new libbfd

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new libbfd
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 27 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.9-1mdv2008.1
+ Revision: 102680
- 1.0.9

* Fri Jun 08 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.8-3mdv2008.0
+ Revision: 37221
- rebuild for new libbfd


* Tue Jan 16 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.8-2mdv2007.0
+ Revision: 109494
- Rebuild for new binutils

* Sun Dec 31 2006 Pascal Terjan <pterjan@mandriva.org> 1.0.8-1mdv2007.1
+ Revision: 102961
- 1.0.8
- Import sysprof

* Fri Aug 25 2006 Pascal Terjan <pterjan@mandriva.org> 1.0.3-1mdv2007.0
- New release 1.0.3
- XDG menu

* Sat Apr 01 2006 Pascal Terjan <pterjan@mandriva.org> 1.0.2-2mdk
- Rebuild for new binutils

* Mon Feb 27 2006 Pascal Terjan <pterjan@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Mon Dec 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.1-1mdk
- 1.0.1
- drop P0 (merged upstream)
- only works on x86

* Wed Oct 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-2mdk
- Fix BuildRequires (add ImageMagick because of the use of convert)
- Split Requires(post,preun) into Requires(post) and Requires(preun)

* Tue Oct 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdk
- first Mandriva package

